XmlDefinition (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles.xmlDefinition
Class XmlDefinition

    java.lang.Object
      org.apache.struts.tiles.ComponentDefinition
          org.apache.struts.tiles.xmlDefinition.XmlDefinition

All Implemented Interfaces:
  Serializable

    public class XmlDefinition

extends ComponentDefinition

A definition read from an XML definitions file.

See Also:
  Serialized Form

Field Summary
`protected static Log` | `log` Commons Logging instance.

Fields inherited from class org.apache.struts.tiles.ComponentDefinition
`ACTION, attributes, controller, CONTROLLER, controllerType, name, path, role, URL`

Constructor Summary
`XmlDefinition()` Constructor.

Method Summary
`void` | `addAttribute(XmlAttribute attribute)` Add an attribute to this component.
`String` | `getExtends()` Get extends.
`boolean` | `isExtending()` Get extends flag.
`void` | `overload(XmlDefinition child)` Overload this definition with passed child.
`void` | `resolveInheritance(XmlDefinitionsSet definitionsSet)` Resolve inheritance.
`void` | `setExtends(String name)` Set extends.
`void` | `setIsVisited(boolean isVisited)` Set isVisited.

Methods inherited from class org.apache.struts.tiles.ComponentDefinition
`createController, createControllerFromClassname, getAttribute, getAttributes, getController, getControllerInstance, getControllerType, getName, getOrCreateController, getPage, getPath, getRole, getTemplate, put, put, put, put, putAttribute, setController, setControllerClass, setControllerInstance, setControllerType, setControllerUrl, setName, setPage, setPath, setRole, setTemplate, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected static Log log

  Commons Logging instance.

Constructor Detail

### XmlDefinition

    public XmlDefinition()

  Constructor.

Method Detail

### addAttribute

    public void addAttribute(XmlAttribute attribute)

  Add an attribute to this component.

  Parameters:
    `attribute` - Attribute to add.

### setExtends

    public void setExtends(String name)

  Set extends.

  Parameters:
    `name` - Name of the extended definition.

### getExtends

    public String getExtends()

  Get extends.

  Returns:
    Name of the extended definition.

### isExtending

    public boolean isExtending()

  Get extends flag.

### setIsVisited

    public void setIsVisited(boolean isVisited)

  Set isVisited.

### resolveInheritance

    public void resolveInheritance(XmlDefinitionsSet definitionsSet)
                            throws NoSuchDefinitionException

  Resolve inheritance. First, resolve parent's inheritance, then set path to the parent's path. Also copy attributes setted in parent, and not set in child If instance doesn't extend anything, do nothing.

  Throws:
    `NoSuchDefinitionException` - If an inheritance can not be solved.

### overload

    public void overload(XmlDefinition child)

  Overload this definition with passed child. All attributes from child are copied to this definition. Previous attributes with same name are disguarded. Special attribute 'path','role' and 'extends' are overloaded if defined in child.

  Parameters:
    `child` - Child used to overload this definition.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.